#include "pm.h"
#include "ctrl.h"
#include "../ui/ledMix.h"
#include "../blib/timer.h"

unsigned int pmTimeCount = 0;
unsigned char pmInPowersave = 0;

void pmCallback()
{
	pmTimeCount++;

	if(pmTimeCount >= PM_TIMEOUT * 2)
	{
		pmPeripherialPowersave();
	}
}

void pmInit()
{
	timerInit(3, 1, pmCallback);
}

void pmWakeupCall()
{
	pmPeripherialWakeup();
}

void pmPeripherialPowersave()
{
	if(!pmInPowersave)
	{
		ctrlSetBacklightIntensity(40, 20);

		unsigned char i;
		for(i = 0; i < 8; i++)
		{
			ledMix(i, 0, 0, 0);
		}
		pmInPowersave = 1;
	}
}

void pmPeripherialWakeup()
{
	pmTimeCount = 0;

	if(pmInPowersave)
	{
		ctrlSetBacklightIntensity(310, 40);

		unsigned char i;
		for(i = 0; i < 8; i++)
		{
			ledMix(i, 0, 0, 9);
		}
		
		pmInPowersave = 0;
	}
}
