#ifndef _IOX_H
	#define _IOX_H   1



#define IOX_ADDRESS_A B8(01001000)
#define IOX_ADDRESS_B B8(01000000)

/** 
 * @brief 	Set Data Direction Register value of Port A (connected over 16bit io extender)
 * @param 	value	DDR value	
 * @return 	none
 */
void IoxDDRWrite(unsigned char port, unsigned char value);

/** 
 * @brief 	Read Data Direction Register value of Port A (connected over 16bit io extender)
 * @param	none
 * @return 	DDR value
 */
unsigned char IoxDDRRead(unsigned char port);

/** 
 * @brief 	Set Port Value of Port A (connected over 16bit io extender)
 * @param 	value	DDR value	
 * @return 	none
 */
void IoxPORTWrite(unsigned char port, unsigned char value);

/** 
 * @brief 	Read Port value of Port A (connected over 16bit io extender)
 * @param	none
 * @return 	Port value
 */
unsigned char IoxPORTRead(unsigned char port);

/** 
 * @brief 	Read Pin value of Port A (connected over 16bit io extender)
 * @param	none
 * @return 	Pin value
 */
unsigned char IoxPINRead(unsigned char port);

#endif
